Mangools/API

Get suggested keywords for URL

Returns suggested keywords based on the URL's ranking keywords. Used primarily when creating new SERPWatcher trackings.

Limits

Each request is counted towards your Keyword lookups limit. Lookup is not counted if you make the identical request within 24 hours.

GET
/kwfinder/suggested-keywords

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

url*string

Target URL / domain / subdomain

location_id*integer

ID of location

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/kwfinder/suggested-keywords?url=mangools.com&location_id=2840"
{
  "competitorId": "4f9465a0a5efacc86123e82b6ad9e288",
  "url_type": "RootDomain",
  "location": {
    "_id": 0,
    "label": "Slovakia",
    "code": "us"
  },
  "competitors": [
    "aktuality.sk",
    "zoznam.sk"
  ],
  "keywords": [
    {
      "_id": "005de7e7771450763339653e918778ef",
      "cpc": 0.813559,
      "kw": "seo solutions",
      "lid": 0,
      "msv": [
        [
          2015,
          8,
          590
        ]
      ],
      "ppc": 15,
      "seo": 13,
      "seo_ts": 1590868935,
      "sv": 930,
      "svn": 930,
      "svs": 0,
      "ts": 1592997076,
      "h": [
        [
          1300,
          5.24,
          20,
          33,
          1507733116,
          0.813559
        ]
      ]
    }
  ]
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "InvalidInput",
    "message": "Parameter url is invalid"
  }
}
{
  "error": {
    "type": "RateLimit",
    "message": "Not enough limits 2"
  }
}